petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMShellSetGlobalToLocalVecScatter

Sets a VecScatter context for global to local communication

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetGlobalToLocalVecScatter(DM dm, VecScatter gtol)

Logically Collective on dm

Input Arguments

| dm | - the shell DM
| gtol | - the global to local VecScatter context

### See Also

DMShellSetGlobalToLocal(), DMGlobalToLocalBeginDefaultShell(), DMGlobalToLocalEndDefaultShell()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages